Package fr.gouv.vitam.batch.report.rest.repository

# Class PurgeObjectGroupRepository

java.lang.Object
fr.gouv.vitam.batch.report.rest.repository.ReportCommonRepository
fr.gouv.vitam.batch.report.rest.repository.PurgeObjectGroupRepository

public class PurgeObjectGroupRepository extends ReportCommonRepository
PurgeObjectGroup

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OPI_GOT`
  `static final String`
  `PURGE_OBJECT_GROUP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PurgeObjectGroupRepository(MongoDbAccess mongoDbAccess)`
  `PurgeObjectGroupRepository(MongoDbAccess mongoDbAccess, String collectionName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bulkAppendReport(List<PurgeObjectGroupModel> reports)`
  `com.mongodb.client.MongoCursor<org.bson.Document>`
  `computeOwnAccessionRegisterDetails(String processId, int tenantId)`
  Compute Own AccessionRegisterDetails
  `void`
  `deleteReportByIdAndTenant(String processId, int tenantId)`
  `com.mongodb.client.MongoCursor<org.bson.Document>`
  `findCollectionByProcessIdTenant(String processId, int tenantId)`

  ### Methods inherited from class fr.gouv.vitam.batch.report.rest.repository.ReportCommonRepository

  `bulkAppendReport, deleteReportByIdAndTenant`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PURGE_OBJECT_GROUP

    public static final String PURGE_OBJECT_GROUP
    See Also:
      - Constant Field Values

  - ### OPI_GOT

    public static final String OPI_GOT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PurgeObjectGroupRepository

    public PurgeObjectGroupRepository(MongoDbAccess mongoDbAccess, String collectionName)

  - ### PurgeObjectGroupRepository

    public PurgeObjectGroupRepository(MongoDbAccess mongoDbAccess)

- ## Method Details

  - ### bulkAppendReport

    public void bulkAppendReport(List<PurgeObjectGroupModel> reports)

  - ### findCollectionByProcessIdTenant

    public com.mongodb.client.MongoCursor<org.bson.Document> findCollectionByProcessIdTenant(String processId, int tenantId)

  - ### deleteReportByIdAndTenant

    public void deleteReportByIdAndTenant(String processId, int tenantId)

  - ### computeOwnAccessionRegisterDetails

    public com.mongodb.client.MongoCursor<org.bson.Document> computeOwnAccessionRegisterDetails(String processId, int tenantId)
    Compute Own AccessionRegisterDetails